# Tax Products

Tax Products

 - [GET /taxProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/listtaxproducts.md): This method will scan all tax products and and return them to the caller.
 - [POST /taxProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/createtaxproduct.md): This method will auto-generate an ID and create a new tax product. If an ID is specified for the tax product, an error will be thrown.
 - [POST /taxProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/deletetaxproduct.md): This method will delete a tax product with the specified ID.
 - [GET /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/gettaxproduct.md): This method will look up a tax product by the specified ID and return it back.
 - [PATCH /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/patchtaxproduct.md): This method will patch an existing tax product with the specified ID, using the HTTP PATCH specification.
 - [PUT /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/updatetaxproduct.md): This method will update an existing tax product with the specified ID.
